//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Global2.h"
#include "BarEditDlgs.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TBarEditDlg *BarEditDlg;
//---------------------------------------------------------------------------

bool __fastcall EditBarredSource(TBarRemsDlg2 *Owner, TStrings *Barred)
{
   BarEditDlg = new TBarEditDlg(Owner, Barred);
   BarEditDlg->Font->Assign(Owner->Font);
   BarEditDlg->Editor->Font->Assign(Owner->ListView->Font);
   BarEditDlg->Editor->Color = Owner->ListView->Color;

   BarEditDlg->ShowModal();

   bool ok = BarEditDlg->modified;
   if (ok)
   {
      Barred->Text = BarEditDlg->Editor->Lines->Text;
   }

   delete BarEditDlg;
   return ok;
}
//---------------------------------------------------------------------------

_fastcall TBarEditDlg::TBarEditDlg(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------

_fastcall TBarEditDlg::TBarEditDlg(TComponent* Owner, TStrings *Barred)
        : TForm(Owner)
{
   OrgBars = Barred->Text;
   Editor->Lines->AddStrings(Barred);
   modified = false;
}
//---------------------------------------------------------------------------

void __fastcall TBarEditDlg::FormCloseQuery(TObject *, bool &CanClose)
{
   modified = Editor->Lines->Text != OrgBars;

   if (ModalResult == mrCancel && modified)
   {
      switch (MsgBox(this, "Your list is modified. Save your changes?",
         MT_CONFIRM, MB_YESNOCANCEL))
      {
         case IDCANCEL: CanClose = false;
         case IDNO: return;
      }
   }
}
//---------------------------------------------------------------------------
