//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "global2.h"
#include "NewMixKeyWins.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TNewMixKeysWin *NewMixKeysWin;
//---------------------------------------------------------------------------

bool __fastcall ManageNewMixmasterKeys(TForm *Owner, TStrings *NewKeys)
{
   NewMixKeysWin = new TNewMixKeysWin(Owner);
   NewMixKeysWin->AddKeys(NewKeys);
   bool ok = NewMixKeysWin->ShowModal();
   delete NewMixKeysWin;
   return ok;
}
//---------------------------------------------------------------------------

__fastcall TNewMixKeysWin::TNewMixKeysWin(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TNewMixKeysWin::AddKeys(TStrings *keys)
{
   assert(keys != NULL);

   for (int i = 0; i < keys->Count; i++)
   {
      AnsiString key = keys->Strings[i];
      TListItem *item = KeyList->Items->Add();
      item->Caption = GetTok(0, key, ' ');
      item->SubItems->Add(GetTok(1, key, ' '));
      item->SubItems->Add(GetTok(2, key, ' '));
      item->SubItems->Add(GetTok(3, key, ' '));
      item->SubItems->Add(GetTok(4, key, ' '));
      item->SubItems->Add(GetTok(5, key, ' '));
      item->SubItems->Add(GetTok(6, key, ' '));
      item->SubItems->Add(GetTok(7, key, ' '));
   }
}
//---------------------------------------------------------------------------
#pragma argsused
void __fastcall TNewMixKeysWin::Button1Click(TObject *Sender)
{
   for (int i = 0; i < KeyList->Items->Count; i++)
      KeyList->Items->Item[i]->Checked = true;
}
//---------------------------------------------------------------------------
#pragma argsused
void __fastcall TNewMixKeysWin::Button2Click(TObject *Sender)
{
   for (int i = 0; i < KeyList->Items->Count; i++)
      KeyList->Items->Item[i]->Checked = false;
}
//---------------------------------------------------------------------------

