//---------------------------------------------------------------------------
#ifndef RemailerDlgsH
#define RemailerDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ComCtrls.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
//---------------------------------------------------------------------------
void __fastcall OpenRemailerDialog(TForm *Owner, const AnsiString &MixmasterDir);

class TRemailerDlg : public TForm
{
__published:	// IDE-managed Components
	TButton *CloseBtn;
	TLabel *Label1;
	TComboBox *SourceCBox;
	TButton *AdvancedOptsBtn;
	TGroupBox *ManGroup;
	TCheckBox *ManPubring;
	TCheckBox *ManMList;
	TBevel *Bevel1;
	TButton *UpdateBtn;
	TCheckBox *CheckBox2;
        TCheckBox *CheckBox6;
        TGroupBox *GroupBox1;
        TCheckBox *AutoMlist;
        TCheckBox *AutoPubring;
        TCheckBox *CheckBox1;
        TCheckBox *CheckBox4;
        TComboBox *MlistCBox;
        TComboBox *PubringAscCBox;
        TComboBox *ComboBox1;
        TComboBox *ComboBox3;
        TButton *Button1;
        TButton *Button3;
        TCheckBox *CheckBox7;
        TCheckBox *CheckBox3;
        TComboBox *ComboBox2;
        TComboBox *ComboBox4;
        TCheckBox *CheckBox5;
        TCheckBox *CheckBox8;
        TComboBox *ComboBox5;
        TLabel *Label2;
	void __fastcall SourceCBoxChange(TObject *Sender);
	void __fastcall DocCBoxChange(TObject *Sender);
	void __fastcall AdvancedOptsBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        AnsiString MixDir;
	virtual __fastcall TRemailerDlg(TComponent* Owner);
        virtual __fastcall TRemailerDlg(TComponent* Owner, const AnsiString &MixmasterDir);
        void __fastcall SelectURLsFor(AnsiString Source);
        AnsiString __fastcall URLsSameSource();
};

const AnsiString URLFileName = "urls.txt";
//---------------------------------------------------------------------------
extern TRemailerDlg *RemailerDlg;
//---------------------------------------------------------------------------
#endif
