//---------------------------------------------------------------------------

#ifndef StatsWinsH
#define StatsWinsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>
#include "SHDocVw_OCX.h"
#include <OleCtrls.hpp>
#include <Buttons.hpp>
//---------------------------------------------------------------------------

void __fastcall GetRemailerPage(TForm *Owner, const AnsiString &Page,
   const AnsiString &Source, bool AutoLoad);

   class TStatsWin : public TForm
{
__published:	// IDE-managed Components
        TTimer *Timer1;
        TMainMenu *MainMenu1;
        TMenuItem *FileMenu;
        TMenuItem *Exit1;
        TPanel *Panel1;
        TSpeedButton *GetBtn;
        TPanel *Panel2;
        TCppWebBrowser *Browser;
        TComboBox *URLBox;
        TLabel *Label1;
        TMenuItem *FileURLManItem;
        TMenuItem *N1;
        TComboBox *PageBox;
        TComboBox *SourceBox;
        TCheckBox *CascadeBox;
        TSpeedButton *SaveBtn;
        TMenuItem *FileOpenItem;
        TMenuItem *FileSaveItem;
        TMenuItem *N2;
        TMenuItem *FileCascadeErrorItem;
        void __fastcall Timer1Timer(TObject *Sender);
        void __fastcall Exit1Click(TObject *Sender);
        void __fastcall BrowserNavigateError(TObject *Sender,
          LPDISPATCH pDisp, Variant *URL, Variant *Frame,
          Variant *StatusCode, VARIANT_BOOL *Cancel);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall URLBoxChange(TObject *Sender);
        void __fastcall SourceBoxChange(TObject *Sender);
        void __fastcall PageBoxChange(TObject *Sender);
        void __fastcall BrowserDocumentComplete(TObject *Sender,
          LPDISPATCH pDisp, Variant *URL);
        void __fastcall FileOpenItemClick(TObject *Sender);
        void __fastcall CascadeBoxClick(TObject *Sender);
        void __fastcall FileURLManItemClick(TObject *Sender);
        void __fastcall FileMenuClick(TObject *Sender);
        void __fastcall FileCascadeErrorItemClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        bool GotError;
        TStringList *URLs;
        AnsiString URLFileName, MixmasterDir, Cap;
        __fastcall virtual TStatsWin(TComponent* Owner);
        __fastcall virtual TStatsWin(TComponent* Owner, const AnsiString &Source,
           const AnsiString &Page, bool AutoLoad);
        __fastcall virtual ~TStatsWin();
        bool __fastcall GetMixmasterDirectory(AnsiString &Directory);
        AnsiString __fastcall GetURL(AnsiString Source, AnsiString Page);
        AnsiString __fastcall GetSource(AnsiString URL);
        void __fastcall LoadURLs(AnsiString Page);
        void __fastcall LoadSources();
        void __fastcall LoadPages();
};
//---------------------------------------------------------------------------
extern PACKAGE TStatsWin *StatsWin;
//---------------------------------------------------------------------------
#endif
