//---------------------------------------------------------------------------

#ifndef UpdateSelectDlgsH
#define UpdateSelectDlgsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <CheckLst.hpp>

#include "StatsWins4.h"
//---------------------------------------------------------------------------
bool __fastcall GetUpdateSelections(TQSStatsWin4 *Owner, AnsiString &PSource, TStrings *PPages,
   AnsiString &QSource, TStrings *QPages, const AnsiString &URLFileName);

class TUpdateSelectDlg : public TForm
{
__published:	// IDE-managed Components
        TBevel *Bevel1;
        TBevel *Bevel2;
        TBevel *Bevel3;
        TBevel *Bevel4;
        TLabel *Label1;
        TButton *OkBtn;
        TButton *CancelBtn;
        TComboBox *SourceBox;
        TComboBox *QuickBox;
        TCheckListBox *PageListBox;
        TCheckListBox *QuickListBox;
        void __fastcall SourceBoxChange(TObject *Sender);
        void __fastcall QuickBoxChange(TObject *Sender);
private:	// User declarations
public:		// User declarations
        AnsiString MixmasterDir, URLFileName;
        __fastcall virtual TUpdateSelectDlg(TComponent* Owner);
        __fastcall virtual TUpdateSelectDlg(TComponent* Owner, const AnsiString &URLFile);
        __fastcall virtual~TUpdateSelectDlg();
        void __fastcall LoadURLs(const AnsiString &Source, TStrings *URLs);
        void __fastcall LoadSources();
};
//---------------------------------------------------------------------------
extern PACKAGE TUpdateSelectDlg *UpdateSelectDlg;
//---------------------------------------------------------------------------
#endif
