//---------------------------------------------------------------------------

#ifndef StatsOptionsDlgsH
#define StatsOptionsDlgsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------

bool __fastcall OpenOptionsDlg(TForm *Owner, bool &BarNewRemailers, TColor &BackColor,
   AnsiString &WinFontStr, AnsiString &DlgFontStr, AnsiString &EditFontStr);

class TStatsOptionsDlg : public TForm
{
__published:	// IDE-managed Components
        TButton *OkBtn;
        TButton *CancelBtn;
        TPageControl *PageControl;
        TTabSheet *TabSheet1;
        TCheckBox *AutoLoadBox;
        TTabSheet *TabSheet2;
        TCheckBox *BarNewBox;
        TCheckBox *CascadeStatsBox;
        TCheckBox *CascadeBox;
        TCheckBox *CheckBox1;
        TPanel *Panel2;
        TPanel *WorkColor;
        TLabel *Label5;
        TButton *WorkColorBtn;
        TColorDialog *ColorDialog;
        TFontDialog *FontDialog;
        TTabSheet *TabSheet4;
        TLabel *Label13;
        TEdit *Name2;
        TLabel *Label10;
        TEdit *Size2;
        TLabel *Label11;
        TEdit *Style2;
        TLabel *Label12;
        TButton *DlgFontBtn;
        TLabel *Label2;
        TLabel *Label7;
        TLabel *Label8;
        TLabel *Label9;
        TEdit *Name1;
        TEdit *Size1;
        TEdit *Style1;
        TPanel *Panel4;
        TPanel *Color1;
        TButton *WinFontBtn;
        TLabel *Label25;
        TLabel *Label26;
        TLabel *Label27;
        TLabel *Label28;
        TEdit *Name6;
        TEdit *Size6;
        TEdit *Style6;
        TPanel *Panel9;
        TPanel *Color6;
        TButton *EditFontBtn;
        TPanel *Panel5;
        TPanel *Color2;
        TLabel *Label1;
        TRadioButton *PosScrCenter;
        TRadioButton *RememberPos;
        TBevel *Bevel1;
        TEdit *TimeOut;
        TUpDown *UpDown1;
        TLabel *Label3;
        TLabel *Label4;
        void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
        void __fastcall CascadeBoxClick(TObject *Sender);
        void __fastcall WorkColorBtnClick(TObject *Sender);
        void __fastcall DlgFontBtnClick(TObject *Sender);
        void __fastcall WinFontBtnClick(TObject *Sender);
        void __fastcall EditFontBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        AnsiString WinsFontStr, DlgsFontStr, EditFontStr;
        __fastcall TStatsOptionsDlg(TComponent* Owner);
        __fastcall virtual ~TStatsOptionsDlg();
};

const short DefHTTPTimeOut = 30;
//---------------------------------------------------------------------------
extern PACKAGE TStatsOptionsDlg *StatsOptionsDlg;
//---------------------------------------------------------------------------
#endif
